Bug 80398 - problem with Inspiron 4000
problem with Inspiron 4000
Product: Red Hat Linux
Classification: Retired
Component: firstboot (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2002-12-25 15:40 EST by John Reiser
Modified: 2008-01-17 12:49 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-05-25 10:30:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John Reiser 2002-12-25 15:40:36 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.0) Gecko/20020529

Description of problem:
Notebook/laptop screen detection is frustrating.  On Dell Inspiron 4000 notebook
laptop, the installation process does not identify the screen, the user must
guess [ordinary VGA for instance], firstboot fails "no screens", the recovery
diagnostics are hard to interpret [which choice gets the right answer, and why
wasn't that choice selected automatically before?], and the only sure way to fix
it is to hand edit /etc/X11/XF86Config.

Anaconda knows hundreds of obscure CRT monitors, yet a popular laptop cannot be
installed successfully because "ddc probe failed".  However, XFree86
successfully determines the model number of the screen (IBM ITXG76E2) with its
ddc prober [with no help from /etc/X11/XF86Config].  Please, anaconda, learn as
much as XFree86 about laptop screen detection, and the proper Horiz/Vert
frequencies for the 100 most popular screens.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Fresh install Phoebe on Dell Inspiron 4000 notebook/laptop.
2.Accept default bog-standard VGA when screen cannot be identified during
anaconda's X11 setup.

Actual Results:  firstboot fails "no screens".  Recovery dialogs make no sense;
in particular, the default answer just goes into a loop.
/var/log/XFree86.0.log shows that XFree86 knows the panel model number:
(--) R128(0): Chipset: "ATI Rage 128 Mobility LF (AGP)" (ChipID = 0x4c46)
(--) R128(0): Linear framebuffer at 0xe8000000
(--) R128(0): MMIO registers at 0xfdffc000
(II) R128(0): Video RAM override, using 8192 kB instead of 8192 kB
(**) R128(0): VideoRAM: 8192 kByte (128-bit SDR SGRAM 1:1)
(**) R128(0): Using flat panel for display
(II) R128(0): Panel size: 1024x768
(II) R128(0): Panel ID: IBM ITXG76E2
(II) R128(0): Panel Type: Color, Single, TFT
(II) R128(0): Panel Interface: LVDS
(II) R128(0): PLL parameters: rf=2700 rd=60 min=12500 max=25000; xclk=10500
(II) Loading sub module "ddc"
(II) LoadModule: "ddc"
(II) Loading /usr/X11R6/lib/modules/libddc.a
(II) Module ddc: vendor="The XFree86 Project"
        compiled for, module version = 1.0.0
        ABI class: XFree86 Video Driver, version 0.6

Expected Results:  screen detected and Horiz/Vert frequencies selected correctly
during installation.

Additional info:
Comment 1 Brent Fox 2003-01-09 23:10:05 EST
If I had a Dell Inspiron 4000 to test with, I might have a chance of fixing this
bug.  But sadly we get no desktop/laptop samples from Dell, so it's quite
difficult to sort out issues that are hardware specific without access to the
hardware.  To be honest, the lack of hardware is maddening.
Comment 2 John Reiser 2003-01-09 23:52:01 EST
I'm willing to help, even in strange and wonderful ways.  (This shouldn't be at
the top of your list [it's not at the top of mine, either], but it might be
productive and fun.)

For instance, I'll use dosemu to run something that you provide, and send you
the results.  Or, we ought to be able to setup so that you can use a shell
running on the Dell under Phoebe, with X11 display+keyboard+mouse across the
'net to your desktop.  In other words: think BIG, and we just might be able to
provide you enough of an environment to make signficant progress.
Comment 3 Brent Fox 2003-01-10 09:22:45 EST
Take a look at bug #80402.  He has an Inspiron 4000, and I made some changes
that made detection work on his machine.  Try redhat-config-xfree86-0.7.1-3 out
of Rawhide and see if that works for you.
Comment 4 John Reiser 2003-01-10 15:37:20 EST
I obtained redhat-config-xfree86-0.7.1-3.noarch.rpm from rpmfind.net ("Rawhide
for i386, 3 days old or less"; ftp directly from redhat was impossibly slow),
and did "rpm --upgrade" on the already-installed Phoebe on Dell Inspiron 4000. 
Then I got back to single-user mode text console (from default GNOME2 graphical
desktop) via "telinit 3", and ran /usr/bin/redhat-config-xfree86 as root.

All four of the probe results were "none".  The Xserver started, and the
graphical dialog had "Unprobed monitor" with correct ATI Rage Mobility r128
card.  The H+V frequncies were those of the old existing /etc/X11/XFree86Config
file.  Retaining the old frequencies is an improvement over some versions within
the last year that just reverted to bog-standard VGA (ignoring the old
XFree86Config) when monitor could not be probed.  The only difference in the
resulting XFree86Config file was the comment saying that redhat-config-xfree86
was the author instead of pyxconf.

Then I deleted the XFree86Config file and ran redhat-config-xfree86 again,
hoping to simulate some aspects of a fresh install.  This time two consecutive
attempts to start an Xserver failed, no graphics ever appeared, and it exited to
the shell with no XFree86Config file being written.  So this looks to me like a
failure to detect the display panel, and a failure to recover (not even VGA).

Then I restored my backup of XFree86Config, and ran again.  This time I went to
the Advanced tab, selected Dell 1024X Laptop display panel, and tried to OK, but
it hung.  The pointer moved, but clicking anywhere, including the OK and Cancel
buttons for both the upper and lower dialogs, had no effect.  I recovered by
Ctrl-Alt-F2 to a text console, then "kill -TERM" to the xconf.py process.  This
looks to me like another failure.

So, I would rate this as not much progress.  Maybe I didn't start in the right

Comment 5 Brent Fox 2003-01-20 16:07:30 EST
Try upgrading to rhpl-0.77-1 and redhat-config-xfree86-0.7.2-2 out of Rawhide
and see if that changes anything.  Some code was added th rhpl over the weekend
that should improve detection of laptop LCDs that can't be probed via ddcprobe.
 Is the behavior any better?
Comment 6 John Reiser 2003-01-20 17:22:45 EST
Just now I retrieved rhpl-0.77-1 from
but the latest redhat-config-xfree86 was
redhat-config-xfree86-0.7.1-6.noarch.rpm  69 KB  01/17/2003  06:48:00 PM
which lags the 0.7.2-2 that you cite.  Neither rpmfind.net nor www.alltheweb.com
could find 0.7.2-2.  Is there a different place to look, or should I just wait
until tomorrow and look again?
Comment 7 Brent Fox 2003-01-20 17:34:13 EST
I think wait until tomorrow.
Comment 8 John Reiser 2003-01-21 19:26:18 EST
I installed these 3 .rpms from today's Rawhide:
Then I removed /etc/X11/XF86Config and ran redhat-config-xfree86.

First I got syntax error because /usr/share/redhat-config-xfree86/xconf.py line
356 was missing the closing right parenthesis ')'.  I added that and reran:
# redhat-config-xfree86
* ddcprobe returned bogus values:
ID:   None
Name: None
HorizSync: None
VertSync:  None

Couldn't start X server, trying with a fresh configuration
* ddcprobe returned bogus values:
ID:   None
Name: None
HorizSync: None
VertSync:  None

Traceback (most recent call last):
  File "/usr/share/redhat-config-xfree86/xconf.py", line 356, in ?
    print _("Trying with card:", current_card.getCardData()["NAME"])
TypeError: gettext() takes exactly 2 arguments (3 given)
[root@host X11]#

So I consider this "no progress" because it doesn't generate XF86Config at all.
Comment 9 Brent Fox 2003-01-22 00:02:00 EST
Oops.  I forgot to put the closing parenthesis on that line, and I think you put
it in the wrong place.  It should have looked like:

print _("Trying with card:"), current_card.getCardData()["NAME"]

Please try with redhat-config-xfree86-0.7.2-3.  Sorry about the mistake.
Comment 10 John Reiser 2003-01-22 12:57:23 EST
redhat-config-xfree86-0.7.2-3 still does not produce a XF86Config:
# cd /etc/X11;  cp XF86Config XF86Config.bak
# rm XF86Config
# redhat-config-xfree86
* ddcprobe returned bogus values:
ID:   None
Name: None
HorizSync: None
VertSync:  None

Couldn't start X server, trying with a fresh configuration
* ddcprobe returned bogus values:
ID:   None
Name: None
HorizSync: None
VertSync:  None

Trying with card: ATI Rage 128 Mobility
Error, cannot start X server.
Comment 11 Brent Fox 2003-02-11 15:16:45 EST
Try running 'redhat-config-xfree86 --set-hsync="31.5-90.0" --set-vsync="59.0-75.0"'

Does that work?  This problem happens because we can't probe the LCD.  This also
seems to affect the Inspiron 8000 (bug #81436).
Comment 12 John Reiser 2003-02-15 19:38:59 EST
Yes, probably that works.

Exact methodology: fresh install original Phobe .isos using TEXT install. 
Change unprobed monitor freqs during install to ranges indicated above.  Boot
with extra parameter "single".  rpm -Uvh with files:
Exit single-user mode, fall into firstboot, it works.
Comment 13 Brent Fox 2003-02-17 15:22:57 EST
I suspect that this bug is a dupe of bug #81436.

If you install using the graphical installer, what monitor is selected in the
monitor selection screen?  

If that monitor isn't correct, you should be able to select you monitor from the
list.  If your monitor isn't available in the list, you should be able to click
on the "Generic" tab and then select "Generic Laptop Display Panel 1024x768". 
Does that allow firstboot to come up correctly?
Comment 14 John Reiser 2003-02-17 17:40:58 EST
Default graphical install of Workstation selects "Unprobed monitor > Unprobed
monitor" [two lines, indented, with same text].

Selecting "Dell > Dell 1024X Laptop Display Panel" gives Horiz 31.5-48.5 KHz and
Vert 59.0-75.0 Hz; this worked for firstboot.  There is a small amount of
confusion because "1024X" is not a model number, but instead means "native
resolution of 1024 pixels in horizontal direction."

Selecting "Generic > Generic Laptop Display Panel 1024 x 768" gives Horiz
31.5-48.5 KHz and Vert 40-70 Hz; this would work because XFree86 [on "Dell
1024X" selection] chooses a modeline that gives 60Hz refresh.

Comment 15 Brent Fox 2003-02-18 15:46:05 EST
Ok, I've modified the entries in MonitorsDB so that they read:

Dell; Dell 1024x768 Laptop Display Panel; 0; 31.5-48.5; 59.0-75.0; 1

instead of:

Dell; Dell 1024X Laptop Display Panel; 0; 31.5-48.5; 59.0-75.0; 1

That should resolve the confusion about which item to pick from the monitor
list.  This change should be in hwdata-0.74-1.

I think that's about all I can do for this release.  For users with these laptop
screens, we're going to need them to pick the correct monitor during install or
they're going to have problems.  We can't probe the monitor correctly because
the screen does not provide the necessary ddcprobe information.

However, if bug #81436 gets fixed so that the r128 driver allows 800x600
resolutions to work, then this shouldn't matter.

Please open a new bug report against gpm for the "-R" behavior causing problems
with X.
Comment 16 Brent Fox 2003-02-18 15:51:02 EST
Nevermind my comments about gpm.  I was looking at the wrong bug report.  Sorry.
Comment 17 John Reiser 2003-02-18 22:45:57 EST
Thank you.  The changed entry of
   Dell; Dell 1024x768 Laptop Display Panel; 0; 31.5-48.5; 59.0-75.0; 1
helps significantly.
Comment 18 Brent Fox 2003-05-25 10:30:42 EDT
There is a stack of 64 bugs that have been in Modified state for a long period
of time.  I am closing these as Rawhide now.  If you find that the issue is not
fixed, please reopen this report.

Note You need to log in before you can comment on or make changes to this bug.